# Calculate area of each reach in each scenario for lr and ss habitats ----

#' Calculate the area of small stream habitat units
#'
#' @param df_ss Output of hab_calc_ss_area()
#' @param df_width dataframe holding reach specific widths for each scenario
#' @export


hab_calc_ss_area <- function(df_width, df_ss) {
  df_ss %>%
    left_join(df_width, by = "noaaid") %>%
    mutate(
      width = ifelse(
        life.stage == "summer",
        adjust_summer_width(width_s, RI, lowQ_i, a, b),
        width_w),
      Area = ifelse(
        # 'length' for the 'Beaver.Pond' habitat type is actually an area
        Habitat == "Beaver.Pond",
        length,
        m2_to_ha(length * width)
      )
    ) %>%
    select(c(
      noaaid,
      subbasin_num,
      scenario,
      era,
      Habitat,
      life.stage,
      Area,
      names(scenarios_df)))
}
