# Set up width dataframe with all pops included --------------------------------
# This simplified model uses a single winter width, regardless of species-------
# or era -----------------------------------------------------------------------
width_df <- flowline_raw %>%
  left_join(subbasin_names, by = c("noaa_subba", "subbasin_num")) %>%
  select(noaaid, wet_width, wint_width, elev_grp) %>%
  expand_grid(era = eras_all) %>%
  left_join(cc_width_coefs, by = c("elev_grp", "era")) %>%
  mutate(
    a = -replace_na(a, 0), # a has the wrong sign in input table
    b = replace_na(b, 0), # these coefficients are 0 in current/hist eras
    RI = 2, lowQ_i = low_q_median) %>% # low flow RI and med obs. low flow in det. model
  select(-elev_grp) %>%
  rename(width_s = wet_width, width_w = wint_width)


# Parameters used to calculate width of lr edge habitat ------------------------
lr_width_scalar_bank <- 0.084
lr_width_intercept_bank <- 0.33
lr_width_scalar_hm_bank <- 0.089
lr_width_intercept_hm_bank <- -0.17
lr_width_scalar_bar <- 0.087
lr_width_intercept_bar <- 2.11
