# Parameters for Stillaguamish Fall Chinook salmon


#Initial condtions for the model -----------------------------------------------
pop.init <- 20000


# Fecundity --------------------------------------------------------------------
fecund <- 4900

# Fry migration survival -------------------------------------------------------
fry_migr_prod <- 0.127859389 # calibrated

# Density-dependent delta parameters (for fry outmigrants)----------------------
delta_prod <- 0.35

# Post-s3 ocean survival -------------------------------------------------------

# Age structured ocean survivals
# stochastic survival between min and max
# min and max for each year in the ocean
so.1 <- .6#c(0.6, 0.6)#c(0.5,0.7)
so.2 <- .7#c(0.7, 0.7)#c(0.6,0.8)
so.3 <- .8#c(0.8, 0.8)#c(0.7,0.9)
so.4 <- .9#c(0.9, 0.9)#c(0.8,1)
so.5 <- .9#c(0.9, 0.9)#c(0.8,1)


# Propensity to return from the ocean as age bx --------------------------------
# Modified from Corey's paper. Table 2

# solved system of equations for Stillaguamish age structure
b0_2 <- 36/721
b0_3 <- 324/959
b0_4 <- 117/127
b5 <- 1
# snohomish age structure
b1_2 <- 28/363
b1_3 <- 32/67

# Early marine survival --------------------------------------------------------
ps_parr_surv <- 0.016454355 # calibrated

ps_yr_surv <- 0.019567393 # calibrated

# Harvest rate -----------------------------------------------------------------

Hr <- 0 #included in SAR, actual rate ~40% AEQ

# Subyearling ratio ------------------------------------------------------------

# percent of subyearlings that will stay to become yearlings
subyr_ratio <- 0.936826861 # calibrated value

# Hatchery-related info --------------------------------------------------------
tot_bs <- 140
nf_release <- 180000# avg BY 2014-2020, from Jim's xlsx, target 220000
sf_release <- 60000 # avg BY 2014-2020, from Jim's xlsx, target 115000
fw_surv_h <- 0.72 # freshwater survival post-release
sw_surv_h <- 0.0048 # marine survival for hatchery fish
rrs_h <- 0.73 # relative reproductive success for wild-spawning HOR

params_fall_chinook <- c(pop_init = pop.init,
                         fecund = fecund,
                         sex_ratio_hor = 0.44, # percent female HOR carcasses
                         sex_ratio_nor = 0.50, # and percent F NOR 2013-2022
                         fry_migr_prod = fry_migr_prod,
                         delta_prod = delta_prod,
                         ps_parr_surv = ps_parr_surv,
                         ps_yr_surv = ps_yr_surv,
                         so1 = so.1,
                         so2 = so.2,
                         so3 = so.3,
                         so4 = so.4,
                         so5 = so.5,
                         b0_2 = b0_2,
                         b0_3 = b0_3,
                         b0_4 = b0_4,
                         b1_2 = b1_2,
                         b1_3 = b1_3,
                         subyr_ratio = subyr_ratio,
                         tot_bs = tot_bs,
                         nf_release = nf_release,
                         sf_release = sf_release,
                         fw_surv_h = fw_surv_h,
                         sw_surv_h = sw_surv_h,
                         rrs_h = rrs_h,
                         hr = Hr)
