% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/data.R
\docType{data}
\name{params_fall_chinook}
\alias{params_fall_chinook}
\title{Chinook LCM parameters for Stillaguamish LCM.}
\format{
A named vector with 26 elements:
\describe{
  \item{pop_init}{initiation population size}
  \item{fecund}{fecundity}
  \item{sex_ratio_hor}{percent female HOR}
  \item{sex_ratio_nor}{percent female NOR}
  \item{fry_migr_prod}{migration survival of fry migrants}
  \item{delta_prod}{estuary survival}
  \item{ps_parr_surv}{smolt trap to-spawning survival of subyearlings}
  \item{ps_yr_surv}{smolt trap to-spawning survival of subyearlings}
  \item{so1}{first year ocean survival}
  \item{so2}{second year ocean survival}
  \item{so3}{third year ocean survival}
  \item{so4}{fourth year ocean survival}
  \item{so5}{fifth year ocean survival}
  \item{b0_2}{maturation rate age 0.2}
  \item{b0_3}{maturation rate age 0.3}
  \item{b0_4}{maturation rate age 0.4}
  \item{b1_2}{maturation rate age 1.2}
  \item{b1_3}{maturation rate age 1.3}
  \item{subyr_ratio}{portion of subyearlings that outmigrate in spring}
  \item{tot_bs}{number of adults taken as broodstock}
  \item{nf_release}{number of hatchery smolts released in the North Fork}
  \item{sf_release}{number of hatchery smolts released in the South Fork}
  \item{fw_surv_h}{outmigration survival of hatchery smolts}
  \item{sw_surv_h}{ocean survival of hatchery smolts}
  \item{rrs_h}{relative reproductive success of hatchery-origin fish}
  \item{hr}{harvest rate}
}
}
\source{
\describe{Various sources, see LCM report}
}
\usage{
params_fall_chinook
}
\description{
A dataset containing LCM parameters
}
\keyword{datasets}
