% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/data.R
\docType{data}
\name{params_steelhead}
\alias{params_steelhead}
\title{Steelhead LCM parameters for Stillaguamish LCM.}
\format{
A named vector with 26 elements:
\describe{
  \item{pop_init}{initiation population size}
  \item{fecund_first}{fecundity of first-time spawners}
  \item{fecund_first}{fecundity of respawners}
  \item{sex_ratio}{percent female}
  \item{percent_fall_migrants}{fraction of juveniles migrating in fall}
  \item{percent_spring_migrants}{fraction of juveniles migrating in spring}
  \item{prop_age1_smolts_w}{fraction of winter-run juveniles outmigrating as age 1}
  \item{prop_age2_smolts_w}{fraction of winter-run juveniles outmigrating as age 2}
  \item{prop_age1_smolts_s}{fraction of summer-run juveniles outmigrating as age 1}
  \item{prop_age2_smolts_s}{fraction of summer-run juveniles outmigrating as age 2}
  \item{bay_surv_w}{estuary survival for winter-run smolts}
  \item{bay_surv_s}{estuary survival for summer-run smolts}
  \item{so}{annual marine survival}
  \item{b1_1_w}{maturation rate age 1.1 winter-run}
  \item{b1_2_w}{maturation rate age 1.2 winter-run}
  \item{b2_1_w}{maturation rate age 2.1 winter-run}
  \item{b2_2_w}{maturation rate age 2.2 winter-run}
  \item{b3_1_w}{maturation rate age 3.1 winter-run}
  \item{b1_1_s}{maturation rate age 1.1 summer-run}
  \item{b1_2_s}{maturation rate age 1.2 summer-run}
  \item{b2_1_s}{maturation rate age 2.1 summer-run}
  \item{b2_2_s}{maturation rate age 2.2 summer-run}
  \item{b3_1_s}{maturation rate age 3.1 summer-run}
  \item{kelt_rate}{respawn rate}
  \item{hr}{harvest rate}
}
}
\source{
\describe{Various sources, see LCM report}
}
\usage{
params_steelhead
}
\description{
A dataset containing LCM parameters
}
\keyword{datasets}
